<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="de" lang="de">

	<head>
	
		<title>phpMyCMS :: Installation</title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1" />
		<link rel="stylesheet" type="text/css" href="installer.css" />
		<script type="text/javascript" src="includes/functions.js"></script>
	
	</head>
	
    <body>
    
	<?php
	
		/* phpMyCMS-Installationsprogramm v.0.1 */
		
		/* 
		
			2009 By Christian Stankowic
			http://www.stankowic-development.net
			webmaster@stankowic-development.net
			
			http://phpmycms.stankowic-development.net
		
		*/
		
		
		
		//Erweiterungen laden
		include('includes/installer_functions.php');
		/*include("includes/global_functions.php");*/
		
		//Parameter beziehen
		$mode 	= $_GET['mode'];
		
		
		
		//Modusunterscheidung
		switch($mode)
		{
		
			case	"install":			//Ergebnis des Installationsprogramms
								
									//Beziehen der Eingaben
									$hostname		= $_POST["database_domain"];
									$username		= $_POST["database_user"];
									$password		= $_POST["database_password"];
									$db				= $_POST["database_name"];
									$admin_username	= $_POST["user_name"];
									$admin_email		= $_POST["user_email"];
									
									//Logo ausgeben
									$ausgabe .= "<p class='logo'><img src='images/cms_logo.png' class='logo' style='width:400px; height:140px;' alt='phpMyCMS-Logo' /></p>";
									
									//Box beginnen
									$ausgabe .= "<div class='box'><br />";
									
									//Tabelle beginnen
									$ausgabe .= "<table class='table'>";
									
									//Header einleiten
									$ausgabe .= "	<tr>";
									$ausgabe .= "		<td class='vorgabe'><b>Ausgef&uuml;hrte Aktion</b></td>";
									$ausgabe .= "		<td class='vorgabe'><b>Status</b></td>";
									$ausgabe .= "		<td class='vorgabe' style='width:20px; text-align:center;'></td>";
									
									$ausgabe .= "	</tr>";
									
									//Einzelne Schritte
									
										//Installation aktivieren
										$enabled = true;
										
										while($enabled == true)
										{
										
											/*SCHRITT 1: Wurden alle Felder ausgefuellt? */
											if($hostname != "" AND $username != "" AND $password != "" AND $db != "" AND $admin_username != "" AND $admin_email != "")
											{
											
												//Es wurden alle Felder ausgefuellt --> Haken anzeigen
												$ausgabe .= "	<tr>";
												$ausgabe .= "		<td class='line'>&Uuml;berpr&uuml;fung: Felder</td>";
												$ausgabe .= "		<td class='line'><i>Alle Felder ausgef&uuml;llt.</i></td>";
												$ausgabe .= "		<td class='line' style='text-align:center;'><img src='images/win.png' class='status_icon' alt='SUC' /></td>";
												$ausgabe .= "	</tr>";
											
											}
											else
											{
											
												//Es wurden nicht alle Felder ausgefuellt --> Fehler anzeigen
												$ausgabe .= "	<tr>";
												$ausgabe .= "		<td class='line'>&Uuml;berpr&uuml;fung: Felder</td>";
												$ausgabe .= "		<td class='line'><i>Es wurden nicht alle Felder ausgef&uuml;llt.</i></td>";
												$ausgabe .= "		<td class='line' style='text-align:center;'><img src='images/fail.png' class='status_icon' alt='FAIL' /></td>";
												$ausgabe .= "	</tr>";
												
												//Error-Flag setzen und Installation abbrechen
												$error_flag = "FIELDS_FAIL";
												$error_occured = true;
												$enabled = false;
												break;
											
											}
											
											
											
											/*SCHRITT 2: Verbindung zur Datenbank? */
											if(get_db($hostname, $username, $password) == true)
											{
											
												//Verbindung erfolgreich --> Haken anzeigen
												$ausgabe .= "	<tr>";
												$ausgabe .= "		<td class='line'>Anmeldung zur Datenbank</td>";
												$ausgabe .= "		<td class='line'><i>Erfolgreich</i></td>";
												$ausgabe .= "		<td class='line' style='text-align:center;'><img src='images/win.png' class='status_icon' alt='SUC' /></td>";
												$ausgabe .= "	</tr>";
											
											}
											else
											{
											
												//Verbindung fehlgeschlagen --> Fehler anzeigen
												$ausgabe .= "	<tr>";
												$ausgabe .= "		<td class='line'>Anmeldung zur Datenbank</td>";
												$ausgabe .= "		<td class='line'><i>Fehlgeschlagen (Passwort?)</i></td>";
												$ausgabe .= "		<td class='line' style='text-align:center;'><img src='images/fail.png' class='status_icon' alt='FAIL' /></td>";
												$ausgabe .= "	</tr>";
												
												//Error-Flag setzen und Installation abbrechen
												$error_flag = "CONN_FAIL";
												$error_occured = true;
												$enabled = false;
												break;
											
											}
											
											
											
											/*SCHRITT 3: Ist die Datenbank schon vorhanden? */
											$sql_show = "SHOW DATABASES LIKE '%$db';";
											$res_show = send_sql($sql_show);
											$temp = mysql_fetch_array($res_show);
											
											if($temp[0] == "")
											{
											
												//Datenbank ist noch nicht vorhanden --> Haken anzeigen
												$ausgabe .= "	<tr>";
												$ausgabe .= "		<td class='line'>&Uuml;berpr&uuml;fung: Datenbank vorhanden?</td>";
												$ausgabe .= "		<td class='line'><i>Nein</i></td>";
												$ausgabe .= "		<td class='line' style='text-align:center;'><img src='images/win.png' class='status_icon' alt='SUC' /></td>";
												$ausgabe .= "	</tr>";
											
											}
											else
											{
											
												//Datenbank ist schon vorhanden --> Fehler anzeigen
												$ausgabe .= "	<tr>";
												$ausgabe .= "		<td class='line'>&Uuml;berpr&uuml;fung: Datenbank vorhanden?</td>";
												$ausgabe .= "		<td class='line'><i>Ja</i></td>";
												$ausgabe .= "		<td class='line' style='text-align:center;'><img src='images/fail.png' class='status_icon' alt='FAIL' /></td>";
												$ausgabe .= "	</tr>";
												
												//Error-Flag setzen und Installation abbrechen
												$error_flag = "DB_EXISTS";
												$error_occured = true;
												$enabled = false;
												break;
											
											}
											
											
											
											/*SCHRITT 4: Anlegen der Datenbank- und Tabellen-Struktur */

												//Definieren der Befehle
												$sql_create = array();
												$sql_create[0] = "CREATE DATABASE $db;";
												$sql_create[1] = "CREATE TABLE IF NOT EXISTS $db.groups (`ID` int(11) NOT NULL,  `NAME` text NOT NULL,  `DESCRIPTION` text NOT NULL,  PRIMARY KEY (`ID`)) ENGINE=MyISAM DEFAULT CHARSET=latin1;";
												$sql_create[2] = "CREATE TABLE IF NOT EXISTS $db.guestbook (`ID` int(11) NOT NULL,  `PUBLISHED` tinyint(1) NOT NULL,  `TIMESTAMP` varchar(11) NOT NULL,  `NAME` text NOT NULL,  `EMAIL` text NOT NULL,  `HIDE_EMAIL` int(11) NOT NULL,  `WEBSITE` text NOT NULL,  `ENTRY` text NOT NULL,  PRIMARY KEY (`ID`)) ENGINE=MyISAM DEFAULT CHARSET=latin1;";
												$sql_create[3] = "CREATE TABLE IF NOT EXISTS $db.modules (`ID` int(11) NOT NULL,  `NAME` text NOT NULL,  `TITLE` text NOT NULL,  `VALUE` text NOT NULL,  `IS_ENABLED` tinyint(1) NOT NULL,  PRIMARY KEY (`ID`)) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='Modulverwaltung';";
												$sql_create[4] = "CREATE TABLE IF NOT EXISTS $db.module_permissions (`ID` int(11) NOT NULL,  `MODULE_ID` int(11) NOT NULL,  `GROUP` int(11) NOT NULL,  `FLAG` tinyint(1) NOT NULL,  PRIMARY KEY (`ID`))";
												$sql_create[5] = "CREATE TABLE IF NOT EXISTS $db.pages (`ID` int(11) NOT NULL,  `TYPE` int(11) NOT NULL,  `CHILD_OF` int(11) DEFAULT NULL,  `TITLE` text NOT NULL,  `KEYWORDS` text NOT NULL,  `IS_ENABLED` tinyint(1) NOT NULL,  `IS_PROTECTED` tinyint(1) NOT NULL,  `MISTASC_ENABLED` tinyint(1) NOT NULL,  `CONTENT` text NOT NULL,  PRIMARY KEY (`ID`)) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='Seitentabelle';";
												$sql_create[6] = "CREATE TABLE IF NOT EXISTS $db.settings (`ID` int(11) NOT NULL,  `NAME` text NOT NULL,  `VALUE` text NOT NULL,  PRIMARY KEY (`ID`)) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='Einstellungen';";
												$sql_create[7] = "CREATE TABLE IF NOT EXISTS $db.themes (`ID` int(11) NOT NULL,  `THEME_NAME` text NOT NULL,  `THEME_DESCRIPTION` text NOT NULL,  `VALUE` text NOT NULL,  PRIMARY KEY (`ID`)) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='Theme-Tabelle';";
												$sql_create[8] = "CREATE TABLE IF NOT EXISTS $db.users (`ID` int(11) NOT NULL,  `USERNAME` text NOT NULL,  `PW_HASH` text NOT NULL,  `GROUP` int(11) NOT NULL,  `EMAIL` text NOT NULL,  PRIMARY KEY (`ID`)) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='Benutzertabelle';";
												
												//Befehle absetzen
												for($i=0;$i<9;$i++)
												{
												
													//Befehl absetzen
													$res_creation = send_sql($sql_create[$i]);
													
													//Ausgeben des Befehls --> testing
													//echo $sql_create[$i];
													
													//Wurde der Befehl korrekt abgesetzt?
													if($res_creation == false)
													{
														//Nein, der Befehl konnte nicht korrekt abgesetzt werden
														$creation_error = true;
														break;
													}
												
												}
												
												
											
											if($creation_error == true)
											{
											
												//Die Tabellen wurden nicht angelegt --> Fehler anzeigen
												$ausgabe .= "	<tr>";
												$ausgabe .= "		<td class='line'>Anlegen der Datenbank und Tabellen</td>";
												$ausgabe .= "		<td class='line'><i>Fehlgeschlagen</i></td>";
												$ausgabe .= "		<td class='line' style='text-align:center;'><img src='images/fail.png' class='status_icon' alt='SUC' /></td>";
												$ausgabe .= "	</tr>";
												
												//Error-Flag setzen und Installation abbrechen
												$error_flag = "TABLES_FAIL";
												$error_occured = true;
												$enabled = false;
												break;
											
											}
											else
											{
											
												//Die Tabellen wurden angelegt --> Haken anzeigen
												$ausgabe .= "	<tr>";
												$ausgabe .= "		<td class='line'>Anlegen der Datenbank und Tabellen</td>";
												$ausgabe .= "		<td class='line'><i>Erfolgreich</i></td>";
												$ausgabe .= "		<td class='line' style='text-align:center;'><img src='images/win.png' class='status_icon' alt='FAIL' /></td>";
												$ausgabe .= "	</tr>";
											
											}
											
											
											
											/*SCHRITT 5: Datenbank mit Inhalten fuellen */

												//Definieren einer Zufallszahl
												$rand = (rand(1, 5000)*rand(1, 5000));
												
												//Definieren der Befehle
												$sql_insert = array();
												$sql_insert[0] = "INSERT INTO $db.groups (`ID`, `NAME`, `DESCRIPTION`) VALUES (0, 'Administratoren', 'Gruppe, die &uuml;ber volle Rechte verf&uuml;gen'),(1, 'Moderatoren', 'Gruppe, die einige administrative Aufgaben ausf&uuml;hren d&uuml;rfen'),(2, 'Besucher', 'Besucher');";
												$sql_insert[1] = "INSERT INTO $db.guestbook (`ID`, `PUBLISHED`, `TIMESTAMP`, `NAME`, `EMAIL`, `HIDE_EMAIL`, `WEBSITE`, `ENTRY`) VALUES (1, 1, '1240433648', 'Christian Stankowic', 'webmaster@stankowic-development.net', 0, 'http://www.stankowic-development.net', 'So sieht ein typischer G&auml;stebuch-Eintrag aus.'),(2, 1, '1240432554', 'Svenja Sachs', 'svenja@christian-stankowic.org', 1, '', 'Wird keine Webseite angegeben, so wird auch keine Zeile hierf&uuml;r angezeigt.\r\n\r\nFerner lassen sich E-Mail-Adressen auf Wunsch des Nutzers ausblenden.\r\n\r\n&Uuml;brigens: Sehr sch&ouml;ne Seite! :-)'),(3, 1, '1240433228', 'Christian Stankowic', 'webmaster@stankowic-development.net', 1, '', 'Das Captcha wird bei jedem neuen Formular neu generiert. Die Zahlen werden &uuml;ber die Sitzungsvariablen &uuml;bertragen, was das &Uuml;berfluten des G&auml;stebuchs durch ein Angriffsprogramm weitgehend erschwert.'),(4, 1, '1240433289', 'Christian Stankowic', 'webmaster@stankowic-development.net', 1, '', 'Nach jedem Posten eines Eintrags wird das Schreiben eines neuen G&auml;stebuch-Eintrags gesperrt.\r\n\r\nErst nach einen Browser-Neustart ist ein erneutes Schreiben in das G&auml;stebuch wieder m&ouml;glich.'),(7, 1, '1240433931', 'Svenja Sachs', 'svenja@christian-stankowic.org', 1, '', 'Weitere Eintr&auml;ge werden dann einfach auf darauffolgenden Seiten angezeigt.'),(6, 1, '1240433874', 'Svenja Sachs', 'svenja@christian-stankowic.org', 1, '', '5 Eintr&auml;ge pro Seite sind ausreichend, so wird eine optimale &Uuml;bersichtlichkeit gew&auml;hrleistet.'),(8, 1, '1240433953', 'Christian Stankowic', 'webmaster@stankowic-development.net', 1, '', '(So wie dieser zum Beispiel!)\r\n\r\n:-)'),(9, 1, '1240433985', 'Svenja Sachs', 'svenja@christian-stankowic.org', 1, '', '(...oder dieser!)\r\n\r\n=)'),(10, 1, '1240435600', 'Georg Grossname', 'georg-hat-einen-langen-namen@langenamen.de', 0, 'http://www.georg-hat-auch-eine-lange-webseite.de', 'Lange Angaben in E-Mail-Adressen und Webseiten werden selbstverst&auml;ndlich entsprechend gek&uuml;rzt.');";
												$sql_insert[2] = "INSERT INTO $db.modules (`ID`, `NAME`, `TITLE`, `VALUE`, `IS_ENABLED`) VALUES (3, 'Statistiken', 'Zeigt die gef&uuml;hrten Statistiken an', 'statistics', 1),(4, 'Module', 'Erlaubt es, Module zu verwalten', 'modules', 1),(6, 'Themen', 'Themen verwalten und hinzuf&uuml;gen', 'themes', 1),(7, 'Einstellungen', 'Globale Einstellungen setzen', 'settings', 1),(8, 'Hilfe', 'Zeigt die Hilfe an', 'help', 1),(2, 'Seiten', 'Erlaubt es, Seiten zu modifizieren', 'sites', 1),(0, 'Benutzer', 'Verwaltet Benutzer und Gruppen', 'users', 1),(5, 'G&auml;stebuch', 'Verwaltet die G&auml;stebuch-Eintr&auml;ge', 'guestbook', 1),(1, 'Gruppen', 'Erlaubt es, Benutzer in Gruppen einzugliedern', 'groups', 1);";
												$sql_insert[3] = "INSERT INTO $db.module_permissions (`ID`, `MODULE_ID`, `GROUP`, `FLAG`) VALUES (5, 1, 0, 1),(7, 1, 2, 0),(6, 1, 1, 0),(4, 0, 2, 0),(3, 0, 1, 0),(2, 0, 0, 1),(8, 2, 0, 1),(9, 2, 1, 0),(10, 2, 2, 0),(40, 3, 2, 1),(39, 3, 1, 1),(38, 3, 0, 1),(14, 4, 0, 1),(15, 4, 1, 0),(16, 4, 2, 0),(37, 5, 2, 0),(36, 5, 1, 1),(35, 5, 0, 1),(43, 6, 2, 0),(42, 6, 1, 0),(41, 6, 0, 1),(23, 7, 0, 1),(24, 7, 1, 0),(25, 7, 2, 0),(28, 8, 2, 1),(27, 8, 1, 1),(26, 8, 0, 1);";
												$sql_insert[4] = "INSERT INTO $db.pages (`ID`, `TYPE`, `CHILD_OF`, `TITLE`, `KEYWORDS`, `IS_ENABLED`, `IS_PROTECTED`, `MISTASC_ENABLED`, `CONTENT`) VALUES (1, 0, 0, 'Startseite', 'Startseite Welcome', 1, 0, 1, 'main.php'),(2, 0, NULL, 'Was ist phpMyCMS?', 'Content-Management-System CMS Was ist phpMyCMS', 1, 0, 1, 'what_is.php'),(3, 0, NULL, 'Was kann phpMyCMS?', 'Content-Management-System CMS phpMyCMS Struktur Was kann', 1, 0, 1, 'what_can.php'),(4, 0, NULL, 'Hilfe-M&ouml;glichkeiten', 'Hilfe', 1, 0, 1, 'help.php'),(5, 1, 4, 'Benutzerhandbuch', 'Hilfe Benutzer Handbuch Benutzerhandbuch', 1, 0, 1, 'help_usermanual.php'),(7, 1, 4, 'IRC-Channel', 'Hilfe IRC Channel IRC-Channel Chat live Fragen', 1, 0, 1, 'help_irc.php'),(8, 0, 0, 'G&auml;stebuch', 'G&auml;stebuch Buch Besucher', 1, 1, 1, 'guestbook.php'),(9, 0, 0, 'Impressum', 'Impressum Recht', 1, 0, 0, 'disclaimer.php'),(11, 1, 3, 'Formatierungsbeispiele', 'Beispiel Beispiele Formatierung Formatierungbeispiele Formatierungsbeispiel', 1, 0, 1, 'format.php');";
												$sql_insert[5] = "INSERT INTO $db.settings (`ID`, `NAME`, `VALUE`) VALUES (0, 'TITLE', 'Test-Seite'),(1, 'THEME_USED', '3'),(2, 'MISTASC_ENABLED', '1'),(3, 'SUBTITLE', 'Ein typischer phpMyCMS-Webauftritt'),(4, 'DESCRIPTION', 'phpMyCMS Beispiel-Auftritt'),(5, 'KEYWORDS', 'phpMyCMS, Beispiel, example'),(6, 'AUTHOR', '$admin_username');";
												$sql_insert[6] = "INSERT INTO $db.themes (`ID`, `THEME_NAME`, `THEME_DESCRIPTION`, `VALUE`) VALUES (3, 'Clearity', 'Klarheit bis ins Detail', 'clearity'),(1, 'Economy', '&Ouml;kologisches Theme', 'economy'),(0, 'Basic', 'Standard-Theme', 'basic'),(2, 'White', 'Wei&szlig;e Eleganz', 'white');";
												$sql_insert[7] = "INSERT INTO $db.users (`ID`, `USERNAME`, `PW_HASH`, `GROUP`, `EMAIL`) VALUES (0, '$admin_username', '".md5($rand)."', 0, '$admin_email');";
												
												//Befehle absetzen
												for($i=0;$i<8;$i++)
												{
												
													//Befehl absetzen
													$res_insertion = send_sql($sql_insert[$i]);
													
													//Ausgeben des Befehls --> testing
													//echo $sql_insert[$i];
													
													//Wurde der Befehl korrekt abgesetzt?
													if($res_insertion == false)
													{
														//Nein, der Befehl konnte nicht korrekt abgesetzt werden
														$insertion_error = true;
														break;
													}
												
												}
												
												
											
											if($creation_error == true)
											{
											
												//Die Tabellen wurden nicht angelegt --> Fehler anzeigen
												$ausgabe .= "	<tr>";
												$ausgabe .= "		<td class='line'>F&uuml;llen der Datenbank</td>";
												$ausgabe .= "		<td class='line'><i>Fehlgeschlagen</i></td>";
												$ausgabe .= "		<td class='line' style='text-align:center;'><img src='images/fail.png' class='status_icon' alt='SUC' /></td>";
												$ausgabe .= "	</tr>";
												
												//Error-Flag setzen und Installation abbrechen
												$error_flag = "CONTENT_FAIL";
												$error_occured = true;
												$enabled = false;
												break;
											
											}
											else
											{
											
												//Die Tabellen wurden angelegt --> Haken anzeigen
												$ausgabe .= "	<tr>";
												$ausgabe .= "		<td class='line'>F&uuml;llen der Datenbank</td>";
												$ausgabe .= "		<td class='line'><i>Erfolgreich</i></td>";
												$ausgabe .= "		<td class='line' style='text-align:center;'><img src='images/win.png' class='status_icon' alt='FAIL' /></td>";
												$ausgabe .= "	</tr>";
											
											}
											
											
											
											/*SCHRITT 6: Speichern der Einstellungen */
											$conf 		= fopen("../conf/db.php", "w+");
											rewind($conf);
											
												$conf_inhalt .= '<?php'."\n";
												$conf_inhalt .= '$hostname = "'.$hostname.'";        //Hostname des Datenbank-Servers, in 99% der Fllen: localhost'."\n";
												$conf_inhalt .= '$username = "'.$username.'";             //Benutzername fr die Datenbank'."\n";
												$conf_inhalt .= '$password = "'.$password.'";        //Passwort der Datenbank'."\n";
												$conf_inhalt .= '$db       = "'.$db.'";         //Name der Datenbank'."\n";
												$conf_inhalt .= '$table_pages                = "pages";            //Name der Seiten-Tabelle'."\n";
												$conf_inhalt .= '$table_settings             = "settings";         //Name der Einstellungstabelle'."\n";
												$conf_inhalt .= '$table_themes               = "themes";           //Name der Theme-Tabelle'."\n";
												$conf_inhalt .= '$table_users                = "users";            //Name der Benutzertable'."\n";
												$conf_inhalt .= '$table_guestbook            = "guestbook";        //Name der Gstebuchtabelle'."\n";
												$conf_inhalt .= '$table_statistics_prefix    = "stat_";            //Prefix aller Statistik-Tabellen'."\n";
												$conf_inhalt .= '?>';
											
											fwrite($conf, $conf_inhalt);
											fclose($conf);
											
											$conf_acp 	= fopen("../acp/conf/db.php", "w+");
											rewind($conf_acp);
											
												$conf_acp_inhalt .= '<?php'."\n";
												$conf_acp_inhalt .= '$hostname = "'.$hostname.'";        //Hostname des Datenbank-Servers, in 99% der Fllen: localhost'."\n";
												$conf_acp_inhalt .= '$username = "'.$username.'";             //Benutzername fr die Datenbank'."\n";
												$conf_acp_inhalt .= '$password = "'.$password.'";        //Passwort der Datenbank'."\n";
												$conf_acp_inhalt .= '$db       = "'.$db.'";         //Name der Datenbank'."\n";
												$conf_acp_inhalt .= '//------------NO CHANGES BEYOND THIS LINE KK? -------------------------------------'."\n";
												$conf_acp_inhalt .= '$table_pages                = "pages";            	//Name der Seiten-Tabelle'."\n";
												$conf_acp_inhalt .= '$table_settings             = "settings";         	//Name der Einstellungstabelle'."\n";
												$conf_acp_inhalt .= '$table_themes               = "themes";           	//Name der Theme-Tabelle'."\n";
												$conf_acp_inhalt .= '$table_users                = "users";            	//Name der Benutzertable'."\n";
												$conf_acp_inhalt .= '$table_groups                = "groups";            	//Name der Benutzertable'."\n";
												$conf_acp_inhalt .= '$table_modules                = "modules";        //Name der Benutzertable'."\n";
												$conf_acp_inhalt .= '$table_module_permissions                = "module_permissions";        //Name der Benutzertable'."\n";
												$conf_acp_inhalt .= '$table_guestbook            = "guestbook";     //Name der Gstebuchtabelle'."\n";
												$conf_acp_inhalt .= '$table_statistics_prefix    = "stat_";            	//Prefix aller Statistik-Tabellen'."\n";
												$conf_acp_inhalt .= '?>';
											
											fwrite($conf_acp, $conf_acp_inhalt);
											fclose($conf_acp);
											
											//Ausgeben der Meldung
											$ausgabe .= "	<tr>";
											$ausgabe .= "		<td class='line'>Speichern der Konfiguration</td>";
											$ausgabe .= "		<td class='line'><i>Erfolgreich</i></td>";
											$ausgabe .= "		<td class='line' style='text-align:center;'><img src='images/win.png' class='status_icon' alt='FAIL' /></td>";
											$ausgabe .= "	</tr>";
											
											
											
											/* ENDE: Installation abschlieen */
											$enabled = false;
											break;
										
										}
									
									//Tabelle abschlieen
									$ausgabe .= "</table>";
									
									//Luecke einfuegen
									$ausgabe .= "<br />";
									
									//Sind Fehler aufgetreten?
									switch($error_flag)
									{
									
										case	"FIELDS_FAIL":			//Es wurden nicht alle Felder ausgefuellt
																	
																	$ausgabe .= "<b>Fehler:</b> Es wurden nicht alle Felder ausgef&uuml;llt.";
																	break;
																	
										case "CONN_FAIL":			//Die Verbindung ist fehlgeschlagen
																	
																	$ausgabe .= "<b>Fehler:</b> Die Verbindung zur Datenbank konnte nicht hergestellt werden. Bitte &uuml;berpr&uuml;fen Sie, ob Ihre Zugangsdaten (<i>Benutzername</i> und <i>Passwort</i>) zur Datenbank korrekt sind - befragen Sie ggf. Ihren Administrator.";
																	break;
																	
										case "DB_EXISTS":			//Die Datenbank existiert bereits
																	
																	$ausgabe .= "<b>Fehler:</b> Die Datenbank existiert bereits! Sie m&uuml;ssen eine andere Datenbank verwenden.";
																	break;
																	
										case "TABLES_FAIL":			//Die Tabellen konnten nicht angelegt werden
																	
																	$ausgabe .= "<b>Fehler:</b> Die Tabellen konnten nicht angelegt werden - &uuml;berpr&uuml;fen Sie die Erreichbarkeit der Datenbank und Ihre Benutzerrechte und versuchen Sie es erneut.";
																	
																break;
																
										case "CONTENT_FAIL":		//Die Datenbank konnte nicht mit Inhalt gefuellt werden
																
																	$ausgabe .= "<b>Fehler:</b> Die vordefinierten Konfigurationen konnten nicht gespeichert werden - &uuml;berpr&uuml;fen Sie die Erreichbarkeit der Datenbank und Ihre Benutzerrechte und versuchen Sie es erneut.";
																
																break;
																
									
									}
									
									//Abschliessende Meldung
									if($error_occured == true)
									{
									
										//Es sind Fehler aufgetreten
										$ausgabe .= "<br /><br />Es ist ein Fehler aufgetreten, bitte &uuml;berpr&uuml;fen Sie den Log im oberen Bereich dieser Seite. F&uuml;hren Sie den Installationsassistenten <a href='index.php'>hier</a> erneut aus.";
									
									}
									else
									{
									
										//Es sind keine Fehler aufgetreten
										$ausgabe .= "<br /><br /><b>Gratulation!</b> Die Installation wurde erfolgreich abgeschlossen. Ihr Passwort f&uuml;r die Administrationsoberfl&auml;che lautet <b>$rand</b> - bitte &auml;ndern Sie dieses Passwort aus Sicherheitsgr&uuml;nden sofort.<br /><br />Klicken Sie <a href='../acp/index.php'><b>hier</a></b>, um  zur Administrationsoberfl&auml;che zu gelangen.";
									
									}
									
									//Box schlieen
									$ausgabe .= "</div>";
									
									
									
									//Ausgabe vornehmen und anschlieend terminieren
									echo $ausgabe;
									$ausgabe = "";
								
								break;
								
			default:				//Begruessungsbildschirm
			
									
									?>
									
										<form name="installation" action="index.php?mode=install" method="post">
									
									       <p class="logo"><img name="logo" src="images/install.png" class="logo" alt="Installation starten!" onclick="javascript:selectSubmit()" onmouseover="javascript:hover('logo','images/install_hover.png')" onmouseout="javascript:hover('logo','images/install.png')" /></p>
									       
									       <p class="thanks">Danke, dass Sie sich f&uuml;r phpMyCMS entschieden haben.</p>
									       
									       <br />
									       
									       <div class="box">
										
										    <!--<div class="text">-->
										    
											Jetzt trennt sie nur noch ein Schritt von Ihrem neuen phpMyCMS-Auftritt.<br /><br />
											
											Bitte f&uuml;llen Sie alle unteren Felder aus und starten Sie die Installation mit einem Klick auf den Installations-Button im oberen Teil dieser Seite.<br /><br />
											
											Im Falle eines Fehlers erhalten Sie eine Meldung - befragen Sie in diesem Falle Ihren Administrator bez&uuml;glich der Richtigkeit Ihrer Angaben.<br /><br />
											
											Der Installationsprozess kann einige Sekunden bis einige Minuten dauern.<br /><br />
											
											<!--<b>phpMyCMS - Simply manage your website.</b><br /><br />-->
											
											<br />
											
											<table class="table">
											
											    <tr>
											    
												<td>Datenbankserver</td>
												<td><input type="text" name="database_domain" size="20" value="localhost" /></td>
											    
											    </tr>
											    
											    <tr>
											    
												<td>Name der Datenbank</td>
												<td><input type="text" name="database_name" size="20" /></td>
											    
											    </tr>
											    
											    <tr>
											    
												<td>Datenbank-Benutzername</td>
												<td><input type="text" name="database_user" size="20" /></td>
											    
											    </tr>
											    
											    <tr>
											    
												<td>Datenkbank-Passwort</td>
												<td><input type="password" name="database_password" size="20" /></td>
											    
											    </tr>
											    
											    <tr>
											    
												<td>Name des Administrators</td>
												<td><input type="text" name="user_name" size="20" /></td>
											    
											    </tr>
											    
											    <tr>
											    
												<td>E-Mail des Administrators</td>
												<td><input type="text" name="user_email" size="20" /></td>
											    
											    </tr>
											    
											    <!--<tr>
											    
												<td></td>
												<td><input type="submit" value="Los geht's!" /></td>
											    
											    </tr>-->
											
											</table>
											
											<!--<div><br /><br /></div>-->
											
										    <!--</div>-->
										
										</div>
										
										</form>
									
									<?php
									
								break;
		
		}
	
	
	?>
           
    </body>
    
</html>