<?php

	//HTML-Header ausgeben
    
		//Session starten/fortsetzen
		session_start();
	
		//Ausgabe terminieren
		$ausgabe = "";
	
		//Ausgabe aufbauen
		$ausgabe .= "<?xml version='1.0' encoding='utf-8' ?>";
		$ausgabe .= "<!DOCTYPE html PUBLIC '-//W3C//DTD XHTML 1.1//EN' 'http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd'>";
	
		//Ausgabe vornehmen
		echo $ausgabe;
	
		//Ausgabe terminieren
		$ausgabe = "";
	
	//Erweiterungen und Konfigurationen laden
	include("conf/db.php");
	include("includes/global_functions.php");
	include("includes/client_functions.php");
	include("includes/mistasc.php");
    
	//bertragene Parameter beziehen
	$id =       $_GET['id'];
	$query =    $_GET['query'];

?>

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="de">

	<head>
    
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1" />
    
		<?php
        
			//Metadaten aus Datenbank beziehen
			$title =        getSetting('TITLE');
			$description =  getSetting('DESCRIPTION');
			$keywords =     getSetting('KEYWORDS');
			$author =       getSetting('AUTHOR');
			
			//Ausgabe aufsetzen
			$ausgabe  =     "<title>$title</title>";
			$ausgabe .=     "<meta name='description' content='$description' />";
			$ausgabe .=     "<meta name='author' content='$author' />";
			$ausgabe .=     "<meta name='keywords' content='$keywords' />";
			
			//Ausgabe vornehmen
			echo $ausgabe;
			
			//Ausgabe terminieren
			$ausgabe = "";
			
			//CSS-Stylesheet laden
			loadCSS();
        
		?>
        
	</head>
	
	<body>
	
		<?php
		
			//Theme laden
			
				//Erweiterungen und Konfigurationen beziehen
				include("conf/db.php");        
			    
				//Eingestellte Theme-ID herausfinden
				$theme_used = getSetting("THEME_USED");
				
				//Den dazu gehrigen Ordner-/Dateinamen heraufinden
				$theme_value = getValue($table_themes, "VALUE", $theme_used);
				
				//Ausgabe des Pfades --> testing
				//echo "<b>Pfad:</b> themes/$theme_value/$theme_value.php";
				
				//Ist die Datei ueberhaupt vorhanden?
				if(is_file("themes/$theme_value/$theme_value.php") == true)
				{
				
					//Ja, die Datei ist vorhanden --> lade sie
					include("themes/$theme_value/$theme_value.php");
					
				}
				else
				{
				
					//Nein, die Datei ist nicht vorhanden
					echo "<b>Fehler:</b> Das Theme ist fehlerhaft und kann nicht angezeigt werden. Bitte kontaktieren Sie den Administrator";
				
				}
		
		?>
	
	</body>
    
</html>